#include <stdio.h>

float **rfits(FILE *, int *, int *);

main(int narg, char *args[])
{
  int i,j;
  char infile[20],outfile[20];
  float *xscale,*yscale;
  FILE *in,*out;
  float **pixels;
  int nx,ny;



  /* open up the files for reading and writing */

  if(narg<2){
    printf("Where does it come from: ");
    scanf("%s",infile);
  }
  else strcpy(infile,args[1]);
  while((in=fopen(infile,"r"))==NULL){
    fprintf(stderr,"Could not find file %s\n",infile);
    exit(30);
  }
  if(narg<3){
    printf("And where is it going: ");
    scanf("%s",outfile);
  }
  else strcpy(outfile,args[2]);  
  out=fopen(outfile,"w");

  /* read in the fits data */

  pixels = rfits(in,&nx,&ny);

  for(j=0;j<ny;j++){
    fprintf(out,"%d ",j);
  }
  fprintf(out,"\n");
  for(i=0;i<nx;i++){
    for(j=0;j<ny;j++){
           fprintf(out,"%f ",pixels[i][j]);
    }
    fprintf(out,"\n");
  }
  
  fclose(in);
}


